// This class provides functions a way to remove all packages from the
// package cache, or to remove only the old versions of packages from
// the cache.  Construct with 'true' to remove all (clear), or 'false'
// to remove only the newest version of each package (clean).
// See COPYING for license information.
#ifndef CCACHEMANAGER_H
#define CCACHEMANAGER_H

#include <string>
#include <vector>

class CCacheManager
{
public:
	enum ECacheManagerAction {
		EACTION_CLEAR,
		EACTION_CLEAN
	};

	CCacheManager(const ECacheManagerAction& action);
protected:
	void		collect_data(const std::string& dir);
	void		remove_packages();
	void		unclean();
	std::string 	get_package_name(const std::string& fromstr);
	std::string	get_package_version(const std::string& fromstr);

	std::vector<std::string>	_Files;
};

#endif
