// This class loads and stores the contents of the zpm config file, and
// allows for modification and writing back to disk.  Implemented as a
// singleton for easy access from different classes.
// See COPYING for license information.
#ifndef CCONFIGFILE_H
#define CCONFIGFILE_H

#include <vector>
#include <string>
#include "CSingleton.h"

class CConfigFile : public CSingleton<CConfigFile>
{
	friend class CSingleton<CConfigFile>;
public:
	std::vector<std::string>	GetValue(const std::string& valname);
	void				SetValue(const std::string& valname, const std::vector<std::string>& valdata);
protected:
	CConfigFile();
	~CConfigFile();
	std::vector<std::string>	_Contents;	
};

#endif
